package jp.sourceforge.shovel.form;

import jp.sourceforge.shovel.FormatType;
import jp.sourceforge.shovel.MethodType;

public interface IStatusesForm {
    String getAt();
    void setAt(String at);
    long getReplyId();
    void setReplyId(long replyId);
    int getCount();
    void setCount(int count);
    String getForeignKey();
    void setForeignKey(String foreignKey);
    String getFormat();
    void setFormat(String format);
    FormatType getFormatType();
    void setFormatType(FormatType formatType);
    String getMethod();
    void setMethod(String method);
    MethodType getMethodType();
    void setMethodType(MethodType methodType);
    boolean isPartial();
    void setPartial(boolean partial);
    int getPage();
    void setPage(int page);
    long getSince_id();
    void setSince_id(long sinceId);
    String getSince();
    void setSince(String since);
    long getUserId();
    void setUserId(long userId);
    boolean isUseRemoved();
    void setUseRemoved( boolean useRemoved );
}
